// statusCodes should be a map, not an object

export const statusCodes = {
  400: "data not found",
  700: "no authentication attempt",
  701: "invalid credentials",
  702: "domain not whitelisted",
  703: "registration request not found, maybe expired",
  800: "location code not found",
  801: "unable to fetch location data",
  900: "invalid request format",
  901: "email not provided",
  950: "upstream server error",
  951: "unknown server error",
};

export const msgCodes = new Map<string, string>([
  [
    "LOC_NOT_FOUND",
    "Location not found.  If you are sure that the location exists, there may be a fault with the data provider.",
  ],
  [
    "USR_NOT_FOUND",
    "User is not registered, consider regeristering for access to this resource",
  ],
  ["AUTH_ERR", "Authentication Error"],
  ["OK", "OK"],
]);

module.exports = statusCodes;
//export { statusCodes };
