import { NextFunction, Request, Response } from "express";

export function setCacheHeaders(req: Request, res: Response, next: NextFunction) {
  if (res.cacheType && res.cacheSecs) {
    const cacheCtlHeader = `${res.cacheType}, max-age=${res.cacheSecs}`;
    res.setHeader('Cache-Control', cacheCtlHeader)
  }

  res.send();
}